/*
 * @Author: zc
 * @Description: 分机管理
 * @version: 
 * @Date: 2022-08-26 14:43:12
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-09 17:28:20
 */
import request from '/@/utils/request';

/**
 * @description: 获取分机列表
 * @param {object} params
 * @return {*}
 */
export const getTelsList = (params?: object) => {
	return request({
		url: '/api/v1/Tel/tels-frequency',
		method: 'get',
		params: params,
	});
};
/**
 * @description: 根据设备自动同步分机数据到数据库
 * @param {object} params
 * @return {*}
 */
export const syncTel = (params?: object) => {
	return request({
		url: '/api/v1/Tel/sync-tels',
		method: 'put',
		data: params,
	});
};