/*
 * @Author: zc
 * @Description: 当前用户的状态
 * @version: 
 * @Date: 2022-09-29 09:37:40
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-08 16:04:27
 */
import {defineStore} from 'pinia';
import {UserStateInfos} from './interface';
import {getUserState} from "/@/api/user";
/**
 * 用户状态
 * @methods userStates 当前用户状态
 */
export const useUserState = defineStore('userState', {
	state: (): UserStateInfos => ({
        userStates:{
            isOnDuty:false,
            isResting:false,
			telNo:""
        }
	}),
	actions: {
		getUserStateAction() {
			getUserState().then((res: any) => {//获取用户状态
				this.userStates = res?.content ?? false;
			})
		}
	},
});
